/**
  *  \file client/cm-message.h
  */
#ifndef PCC_V2_CLIENT_CM_MESSAGE_H
#define PCC_V2_CLIENT_CM_MESSAGE_H

#include "client/chartmode.h"
#include "cpluslib/string.h"

/** Starchart Message Popup. Displays a small, decaying popup text. 
    Use as confirmation for various keystrokes. */
class WMessageChartMode : public WSimpleChartMode {
    string_t text;
    int state;
 private:
    WMessageChartMode(string_t text);
 public:
    ~WMessageChartMode();
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);

    static void showMessage(WChartModeList& chart_modes, string_t text);
};

#endif
